import request from '@/utils/request'

// 查询会议预约信息列表
export function listConfInfo(query) {
  return request({
    url: '/plant/confInfo/list',
    method: 'get',
    params: query
  })
}

// 查询会议预约信息详细
export function getConfInfo(id) {
  return request({
    url: '/plant/confInfo/' + id,
    method: 'get'
  })
}

// 新增会议预约信息
export function addConfInfo(data) {
  return request({
    url: '/plant/confInfo',
    method: 'post',
    data: data
  })
}

// 修改会议预约信息
export function updateConfInfo(data) {
  return request({
    url: '/plant/confInfo',
    method: 'put',
    data: data
  })
}

// 删除会议预约信息
export function delConfInfo(id) {
  return request({
    url: '/plant/confInfo/' + id,
    method: 'delete'
  })
}

// 导出会议预约信息
export function exportConfInfo(query) {
  return request({
    url: '/plant/confInfo/export',
    method: 'get',
    params: query
  })
}
